import request from '@/utils/request'

// 查询数据调查-户主信息列表
export function listNh(query) {
  return request({
    url: '/home/homesteadnh/list',
    method: 'get',
    params: query
  })
}

// 导出数据调查-户主信息
export function exportNh(query) {
  return request({
    url: '/home/homesteadnhhncy/export',
    method: 'get',
    params: query
  })
}

// 查询数据调查-户主信息详细
export function getNh(id) {
  return request({
    url: '/home/homesteadnhhncy/get/' + id,
    method: 'get'
  })
}

// 查询数据调查-户主信息详细
export function getNhByNhdm(nhdm) {
  return request({
    url: '/home/homesteadnhhncy/getByNhdm/' + nhdm,
    method: 'get'
  })
}

// 新增数据调查-户主信息
export function addNh(data) {
  return request({
    url: '/home/homesteadnh/add',
    method: 'post',
    data: data
  })
}

// 新增数据调查-户主信息
export function nhConnectTask(data) {
  return request({
    url: '/home/homesteadnhhncy/connectTask',
    method: 'post',
    data: data
  })
}

// 修改数据调查-户主信息
export function updateNh(data) {
  return request({
    url: '/home/homesteadnh/edit',
    method: 'post',
    data: data
  })
}

// 删除数据调查-户主信息
export function delNh(id) {
  return request({
    url: '/home/homesteadnhhncy/remove/' + id,
    method: 'get'
  })
}

// 设为户主-户主信息
export function setNhInfo(data) {
  return request({
    url: '/home/homesteadnhhncy/setNhInfo',
    method: 'post',
    data: data
  })
}
